# class Recordset | A set of records, that can be traversed through iterators. More...
Full name | `KDB::Recordset`
Definition | `#include <recordset.h>`
Inherits | KDB::DataObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ~Recordset ()
- RecordsetIterator begin ()
- FieldList fields ()
- bool updatable ()
- RecordPtr addRecord ()
- void requery ()
- KDB_ULONG count ()

#### Public Slots

- void slotRecordUpdated (KDB::Record *, bool)
- void slotRecordDeleted (KDB::Record *)

#### Signals

- void recordAdded ( KDB::RecordPtr )
- void recordRemoved ( KDB::RecordPtr )
- void recordUpdated ( KDB::RecordPtr )
- void changed ()

## Detailed Description

A set of records, that can be traversed through iterators.

A recordset can be obtained directly by the database (through KDB::Database::openRecordset ("Select * from blah") ) or from an existing table or query.

There are two types of recordsets: read only or updatable. the type can be queried through updatable

an updatable recordset can be asked to build new records, as well as delete existing ones. Updates are allowed in the KDB::Record class

~Recordset () | ### ~Recordset

RecordsetIterator begin () | ### begin

returns an iterator that points to the first record of the recordset.

FieldList fields () | ### fields

returns the list of all fields for the current recordset.

bool updatable () | ### updatable

returns true if the recordset is updatable, i.e. addRecord can be called and Record s can be modified and updated

RecordPtr addRecord () | ### addRecord

creates a new record. The programmer must call Record::update to actually insert the record in the database.

void requery () | ### requery

reloads all data from the database.

KDB_ULONG count () | ### count

returns the amount of records in the current database

void recordAdded ( KDB::RecordPtr ) | ### recordAdded

[signal]

void recordRemoved ( KDB::RecordPtr ) | ### recordRemoved

[signal]

void recordUpdated ( KDB::RecordPtr ) | ### recordUpdated

[signal]

void changed () | ### changed

[signal]

void slotRecordUpdated (KDB::Record *, bool) | ### slotRecordUpdated

[slot]

void slotRecordDeleted (KDB::Record *) | ### slotRecordDeleted

[slot]

- Version: kdbcore 0.0.2
- Author: Alessandro Praduroux <pradu@thekompany.com>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:59:09 2001, using kdoc 2.0a53.